Subject: bug#72405: 29.4; Doc string of `org-indent-mode'

From: Eli Zaretskii <[email-masked]>
Date: Wed, 14 Aug 2024 10:55:20 +0300

> From: Visuwesh <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Wed, 14 Aug 2024 12:57:17 +0530
> 
> >> Is the attached patch fine?  
> >
> > Yes, but please use 'if' rather than 'when'.
> 
> Sorry, but I'm confused.  I used 'when' because 
> 
>     (concat nil "xxx") ;; => "xxx"

Yes, of course.  But 'if' also returns nil if its condition is false:

  (if (symbolp 1) "symbol")
   => nil

So you can still use the original code, which uses the above behavior
of 'concat', after replacing 'when' with 'if' in your original code.

The reason I asked to use 'if' is that there's no reason to use 'when'
here, as the BODY of 'when' will only ever be a single string.